<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.pacientesCuestionarioEstado.home.createOrEditLabel"
          data-cy="CuestionarioEstadoCreateUpdateHeading"
          v-text="$t('gatewayApp.pacientesCuestionarioEstado.home.createOrEditLabel')"
        >
          Create or edit a CuestionarioEstado
        </h2>
        <div>
          <div class="form-group" v-if="cuestionarioEstado.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="cuestionarioEstado.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesCuestionarioEstado.valor')" for="cuestionario-estado-valor"
              >Valor</label
            >
            <input
              type="number"
              class="form-control"
              name="valor"
              id="cuestionario-estado-valor"
              data-cy="valor"
              :class="{ valid: !$v.cuestionarioEstado.valor.$invalid, invalid: $v.cuestionarioEstado.valor.$invalid }"
              v-model.number="$v.cuestionarioEstado.valor.$model"
            />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.pacientesCuestionarioEstado.valoracion')"
              for="cuestionario-estado-valoracion"
              >Valoracion</label
            >
            <input
              type="text"
              class="form-control"
              name="valoracion"
              id="cuestionario-estado-valoracion"
              data-cy="valoracion"
              :class="{ valid: !$v.cuestionarioEstado.valoracion.$invalid, invalid: $v.cuestionarioEstado.valoracion.$invalid }"
              v-model="$v.cuestionarioEstado.valoracion.$model"
            />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.pacientesCuestionarioEstado.pregunta')"
              for="cuestionario-estado-pregunta"
              >Pregunta</label
            >
            <select
              class="form-control"
              id="cuestionario-estado-pregunta"
              data-cy="pregunta"
              name="pregunta"
              v-model="cuestionarioEstado.pregunta"
            >
              <option v-bind:value="null"></option>
              <option
                v-bind:value="
                  cuestionarioEstado.pregunta && preguntaOption.id === cuestionarioEstado.pregunta.id
                    ? cuestionarioEstado.pregunta
                    : preguntaOption
                "
                v-for="preguntaOption in preguntas"
                :key="preguntaOption.id"
              >
                {{ preguntaOption.pregunta }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.cuestionarioEstado.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./cuestionario-estado-update.component.ts"></script>
